.c-advantages {
  padding: var(--blocks-padding) 0;
  background-color: var(--advantages-bg);
}

.c-advantages__inner {
  display: flex;
  flex-direction: column;
  gap: 5rem;
}

.c-advantages__title {
  color: var(--color-text-primary);
  text-align: center;
  font-weight: 700;
}

.c-advantages__grid {
  display: grid;
  gap: 2.4rem;

  @media (min-width: 1024px) {
    grid-template-columns: repeat(3, 1fr);
  }

  @media (min-width: 565px) and (max-width: 1023px) {
    grid-template-columns: repeat(2, 1fr);
  }
}

.c-advantages__card {
  background: var(--advantages-card-bg);
  border-radius: 15px;
  padding: 1.5rem;
  display: flex;
  align-items: center;
  gap: 2rem;
  border: 1px solid var(--advantages-card-border);
  transition: transform .25s ease;

  @media (hover: hover) {
    &:hover {
      transform: translateY(-4px);
    }
  }
}

.c-advantages__icon-wrapper {
  width: 6.4rem;
  height: 6.4rem;
  border-radius: 16px;
  display: grid;
  place-items: center;
  flex-shrink: 0;
}

.c-advantages__icon {
  width: 100%;
  height: 100%;
  object-fit: contain;

  path {
    fill: var(--advantages-card-icon);
  }
}

.c-advantages__card-text {
  color: var(--color-title);
}